org.apache.tinkerpop.gremlin.structure

## Enum PropertyType

- java.lang.Object
- - java.lang.Enum<PropertyType>
  - - org.apache.tinkerpop.gremlin.structure.PropertyType

- All Implemented Interfaces:
    Serializable, Comparable<PropertyType>

      public enum PropertyType
      extends Enum<PropertyType>

  This enumeration allows for the specification of the type of a `Property`. Properties can either be their standard form or value form. Note that this is different than a property class like `Property` or `VertexProperty`. This enumeration is used to denote those aspects of a property that can not be realized by class alone.
  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PROPERTY`
    `VALUE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `forProperties()`
    `abstract boolean` | `forValues()`
    `static PropertyType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PropertyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PROPERTY

          public static final PropertyType PROPERTY

    - #### VALUE

          public static final PropertyType VALUE

  - ### Method Detail

    - #### values

          public static PropertyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PropertyType c : PropertyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PropertyType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### forProperties

          public abstract boolean forProperties()

    - #### forValues

          public abstract boolean forValues()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.